Prezentarea cheii
| Versiunea cheii | V4 |
|---|---|
| Specificație | RFC 2440 · RFC 4880 · RFC 9580 |
| Stare | Compatibilă, dar nerecomandată de RFC 9580 |
| Cheie primară (certificare, semnare) | Ed448 · RFC 9580 · ID 28 |
| Subcheie de criptare | X448 · RFC 9580 · ID 26 |
| Amprentă | 7AF21F1EE4385D42FE2ED44CDF867036C59D7117 |
| Fraza secretă a cheii private | synthetic-key-password |
Algoritmi și utilizare
Ed448: Semnătură pe curbă Edwards folosind Curve448, cu un nivel de securitate mai ridicat decât Ed25519 (aproximativ 224 de biți). Folosiți-o pentru semnare când se dorește o marjă de securitate mai mare.
X448: Acord de chei pe Curve448, echivalentul pentru criptare al Ed448, cu un nivel de securitate mai ridicat decât X25519.
Cheie publică
Certificatul public cu cheia primară, subcheia de criptare și semnăturile lor de asociere. Importați-l pentru a verifica semnături sau pentru a cripta pentru această identitate de test.
Descarcă → 778 octeți
-----BEGIN PGP PUBLIC KEY BLOCK-----
xj8EaveKoxxvIVymT7kLEQi0ZR8cs4p9Xs8ai1ZcoNAWuUaODlWfQAVPNvCsd+Qi
igTZV+d2Bw/4wv/65ipRzgDNHENILUogbWF0cml4IDQwLXY0LWVkNDQ4K3g0NDjC
ugQTHA4ANAUCaveKoxYhBHryHx7kOF1C/i7UTN+GcDbFnXEXAhsDAh4BAwsJBwEV
ARYFJwkCBwICGQEACgkQ34ZwNsWdcRc3r3hVvwXTD+Z5WpykVROCjVPO+vrE6ISa
EbhRgnWf2CFqx1zKbxSOqzlCHilSz2yBdfwvzxZC0y1UgAMuSvTc/1/BdTrYJI6K
1IhqRQqz1Emm78hFcnkCetXD0Zzj0EjnzxhnY3ch+Lu4LfV1Er44A5E7AM4+BGr3
iqMaUhHWq39TxDpJlX7DJOwtkT5UCV8or9nTp+KFy+6U6mL87f1GTCw8wxjqZ/Hh
qqnWZClJJ0yJiKDCpgQYHA4AIAUCaveKoxYhBHryHx7kOF1C/i7UTN+GcDbFnXEX
AhsMAAoJEN+GcDbFnXEXFV11Ss3IHnmbretqvzCPO9X6TW418HPNc84gynru3mrO
iTOMavO9O6Ja2KGkQXqj19XOLQZgzfwxSwC2IpGMDtkJZMi+tbaSohX+Ysd0yKta
/u7uFXp7/Ch7lDA2i/B7X5b67O+5zW0GNKBgrYAGmeUQMgA=
=fK4c
-----END PGP PUBLIC KEY BLOCK-----
Cheie privată
Cheia privată, protejată cu fraza secretă afișată mai sus. Publicată doar pentru testare: oricine o poate folosi.
Descarcă → 1 065 octeți
Afișează
-----BEGIN PGP PRIVATE KEY BLOCK-----
xakEaveKoxxvIVymT7kLEQi0ZR8cs4p9Xs8ai1ZcoNAWuUaODlWfQAVPNvCsd+Qi
igTZV+d2Bw/4wv/65ipRzgD+CQMI2GQEPXVExengk4jzmQVDSUyGsHeqqFet751b
sMo0py+2hjECt37AR8rtzSqK0UtrNFPTOf72TkOpDvTtbVNzHnl14Ej3MqWT8pfB
KCD0BIraLrRzd+d/iqh2PnaWLY8qjk0Vj28pzRxDSC1KIG1hdHJpeCA0MC12NC1l
ZDQ0OCt4NDQ4wroEExwOADQFAmr3iqMWIQR68h8e5DhdQv4u1EzfhnA2xZ1xFwIb
AwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEN+GcDbFnXEXN694Vb8F0w/meVqcpFUT
go1Tzvr6xOiEmhG4UYJ1n9ghasdcym8Ujqs5Qh4pUs9sgXX8L88WQtMtVIADLkr0
3P9fwXU62CSOitSIakUKs9RJpu/IRXJ5AnrVw9Gc49BI588YZ2N3Ifi7uC31dRK+
OAOROwDHpwRq94qjGlIR1qt/U8Q6SZV+wyTsLZE+VAlfKK/Z06fihcvulOpi/O39
RkwsPMMY6mfx4aqp1mQpSSdMiYig/gkDCNEvB6UiTyaI4OKPPvs+H+C+GVAylsi3
tAizXAPBQzxiIpmqlkQiZ4vxiQLZrdVZNSuNhO2CAwBFfN1UG6Lo61eFXMjdYs4B
9cNpjqHWbmB8J1Jfhve/bIhuKLoG8zdEr6AtstK7wqYEGBwOACAFAmr3iqMWIQR6
8h8e5DhdQv4u1EzfhnA2xZ1xFwIbDAAKCRDfhnA2xZ1xFxVddUrNyB55m63rar8w
jzvV+k1uNfBzzXPOIMp67t5qzokzjGrzvTuiWtihpEF6o9fVzi0GYM38MUsAtiKR
jA7ZCWTIvrW2kqIV/mLHdMirWv7u7hV6e/woe5QwNovwe1+W+uzvuc1tBjSgYK2A
BpnlEDIA
=tN+n
-----END PGP PRIVATE KEY BLOCK-----
Certificat de revocare
Un certificat de revocare generat în prealabil. Importul său marchează cheia ca revocată; este publicat pentru a putea testa modul în care software-ul gestionează cheile revocate.
Descarcă → 1 002 octeți
Afișează
-----BEGIN PGP PUBLIC KEY BLOCK-----
xj8EaveKoxxvIVymT7kLEQi0ZR8cs4p9Xs8ai1ZcoNAWuUaODlWfQAVPNvCsd+Qi
igTZV+d2Bw/4wv/65ipRzgDCowQgHA4AHQUCaveKoxYhBHryHx7kOF1C/i7UTN+G
cDbFnXEXAAoJEN+GcDbFnXEXhyu6uiJmBGLK8EPv4pxK+4PzxOxEcmNvCGZ4llGP
ZhK1yQd3Q8yMNJb0Jqt9hnpGr/GfclxrGnw4b4AM0uFo/pA3hHIRHj99N+RqpJZz
TXIyp4ARNEllBwBG+/D7JbYwF7hO1NQ1rlonOiVXegOQ/x7nDQDNHENILUogbWF0
cml4IDQwLXY0LWVkNDQ4K3g0NDjCugQTHA4ANAUCaveKoxYhBHryHx7kOF1C/i7U
TN+GcDbFnXEXAhsDAh4BAwsJBwEVARYFJwkCBwICGQEACgkQ34ZwNsWdcRc3r3hV
vwXTD+Z5WpykVROCjVPO+vrE6ISaEbhRgnWf2CFqx1zKbxSOqzlCHilSz2yBdfwv
zxZC0y1UgAMuSvTc/1/BdTrYJI6K1IhqRQqz1Emm78hFcnkCetXD0Zzj0Ejnzxhn
Y3ch+Lu4LfV1Er44A5E7AM4+BGr3iqMaUhHWq39TxDpJlX7DJOwtkT5UCV8or9nT
p+KFy+6U6mL87f1GTCw8wxjqZ/HhqqnWZClJJ0yJiKDCpgQYHA4AIAUCaveKoxYh
BHryHx7kOF1C/i7UTN+GcDbFnXEXAhsMAAoJEN+GcDbFnXEXFV11Ss3IHnmbretq
vzCPO9X6TW418HPNc84gynru3mrOiTOMavO9O6Ja2KGkQXqj19XOLQZgzfwxSwC2
IpGMDtkJZMi+tbaSohX+Ysd0yKta/u7uFXp7/Ch7lDA2i/B7X5b67O+5zW0GNKBg
rYAGmeUQMgA=
=ltkx
-----END PGP PUBLIC KEY BLOCK-----
Semnătura pentru test_1MB.bin
Semnătură detașată în format ASCII armor pentru test_1MB.bin, creată cu această cheie în CH-J Tools. Salvați-o ca test_1MB.bin.asc lângă fișierul de test.
Descarcă → 289 octeți
-----BEGIN PGP SIGNATURE-----
wqMEABwOAB0WIQR68h8e5DhdQv4u1EzfhnA2xZ1xFwUCaveO9gAKCRDfhnA2xZ1x
FwjP4rZE8Eh99cw2201KqjT/jTGRQ6g7fwjM+w9AGcVkMBcqHma+FIgPIICS+pHj
JiVQIDU+eXdtwTuA1TK+YCnEvnkuQkSCMk65Nn4LGS9PDrujz8Ga43w8I0qsiigK
diANEKM3EmsGqggbCQAeNEyTlg4A
=iTTG
-----END PGP SIGNATURE-----
Verifică semnătura
Cheile de versiunea 4 funcționează cu GnuPG și cu instrumente SOP precum sqop sau rsop, în măsura în care algoritmii sunt acceptați. Folosiți un GNUPGHOME temporar pentru ca cheia de test să nu ajungă în inelul real de chei:
gpg --import pgp-example-40-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin